<?php

declare(strict_types=1);

namespace Dedi\SyliusAvisVerifiesPlugin\Client\Factory;

use Dedi\SyliusAvisVerifiesPlugin\Client\ValueObject\Credentials;
use Dedi\SyliusAvisVerifiesPlugin\Client\ValueObject\CredentialsInterface;

class CredentialsFactory implements CredentialsFactoryInterface
{
    private string $websiteId;

    private string $secretKey;

    public function __construct(string $websiteId, string $secretKey)
    {
        $this->websiteId = $websiteId;
        $this->secretKey = $secretKey;
    }

    public function create(): CredentialsInterface
    {
        return new Credentials($this->websiteId, $this->secretKey);
    }
}
